Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.kernel
Class Percept

    java.lang.Object
      warbot.kernel.Percept

Direct Known Subclasses:
  Food

    public class Percept

extends java.lang.Object

In warbot, everything is only Percept for a Brain. the informations given by the Percept are all relative to the position of Body of the Brain

Field Summary
`static double` | `NO_HEADING`

Method Summary
`AgentAddress` | `getAgent()` returns the AgentAddress of the perceived body (if any)
`double` | `getDistance()` returns the relative distance to the perceived entity
`int` | `getEnergy()` returns the energy of the Percept detected (if any)
`protected Entity` | `getEntity()`
`double` | `getHeading()` returns the direction of the perceived body (if any)
`java.lang.String` | `getPerceptType()` returns a label which represents the type of the perceived entity
`int` | `getRadius()` returns the radius of the perceived entity
`java.lang.String` | `getTeam()` returns the team of the Percept detected (if any)
`double` | `getX()` returns the relative x coordinate of the perceived entity
`double` | `getY()` returns the relative y coordinate of the perceived entity
`void` | `setPerceptType(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_HEADING

    public static double NO_HEADING

Method Detail

### getEntity

    protected Entity getEntity()

### getDistance

    public double getDistance()

  returns the relative distance to the perceived entity

### getX

    public double getX()

  returns the relative x coordinate of the perceived entity

### getY

    public double getY()

  returns the relative y coordinate of the perceived entity

### getRadius

    public int getRadius()

  returns the radius of the perceived entity

### getTeam

    public java.lang.String getTeam()

  returns the team of the Percept detected (if any)

### getEnergy

    public int getEnergy()

  returns the energy of the Percept detected (if any)

### getAgent

    public AgentAddress getAgent()

  returns the AgentAddress of the perceived body (if any)

### getHeading

    public double getHeading()

  returns the direction of the perceived body (if any)

### getPerceptType

    public java.lang.String getPerceptType()

  returns a label which represents the type of the perceived entity

### setPerceptType

    public void setPerceptType(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.